﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Controls.Grids;

namespace wpfSmartXamGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataTable table1 = new DataTable();

        public MainWindow()
        {
            InitializeComponent();

            table1.Columns.Add("ID", typeof(int));
            table1.Columns.Add("Label", typeof(string));            

            for (int i = 0; i < 10; i++)
            {
                DataRow row1 = table1.NewRow();               

                row1[0] = i;
                row1[1] = "Item" + i.ToString();                

                table1.Rows.Add(row1);
                
            }

            MyGrid.ItemsSource = table1.DefaultView;
            MyGrid.EditingSettings.AllowEditing = EditingType.Cell;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            table1.Clear();            

            int multi = (int.Parse(numbersBox.Text));

            for (int i = 0; i < 10; i++)
            {
                DataRow row1 = table1.NewRow();

                row1[0] = i * multi;
                row1[1] = textBox.Text + (i * multi).ToString();

                table1.Rows.Add(row1);

            }

            MyGrid.ItemsSource = table1.DefaultView;
        }

        private void MyGrid_CellExitedEditMode(object sender, Infragistics.Controls.Grids.CellExitedEditingEventArgs e)
        {
            int value = int.Parse(e.Cell.Value.ToString());

            //we want them to only be able to edit the id column
            if (e.Cell.Column.HeaderText == "Label")
            {
                Console.WriteLine("you cannot edit here");
                return;
            }

            if (e.Cell.Column.HeaderText == "ID")
            {
                
                int x = e.Cell.Row.Index;

                table1.Clear();

                int multi = 1;                
                //will need to change to get previous grid to keep changes
                for (int i = 0; i < 10; i++)
                {
                    if (i != x)
                    {
                        DataRow row1 = table1.NewRow();

                        row1[0] = i * multi;
                        row1[1] = textBox.Text + (i * multi).ToString();

                        table1.Rows.Add(row1);
                    }else if(i == x)
                    {
                        DataRow row1 = table1.NewRow();

                        row1[0] = x * multi;
                        row1[1] = textBox.Text + (x * value).ToString();

                        table1.Rows.Add(row1);
                    }
                }

                MyGrid.ItemsSource = table1.DefaultView;
            }


        }
    }
}
